<?php

            include '../../system/core.php';
           
  
            if(!$user['id'])
            {
 
            header('Location: /index.php'); exit;
 
            }






            $id = TextGuard($_GET['id']);
  
            if(empty($id) or !is_numeric($id))
            {
  
            header('Location: /index.php '); exit;
  
            }



            $us = mysql_fetch_array(mysql_query('select * from `user` where `id` = '.$id.''));
 
            if($us == 0){
  
            header('Location: /index.php'); exit;
            
            }

  switch($_GET['m']){
  

  case 'status':
 $_title = 'Сменить статус';
            include '../../system/header.php';
  if($user['id'] != $id){
   header('Location: /us'.$id.''); exit;
  }
 	
 echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Сменить статус</b></div></div>';

  if(isset($_POST['submit'])){

  $text = TextGuard($_POST['text']);
  if(empty($text)) $err[] = 'Статус остался пустой';
  
  if(!$err){
  
  mysql_query("UPDATE `user` SET `status2`='".$text."' WHERE `id` = '".$id."' limit 1");
  header('Location: /us'.$id.''); exit;
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  }
  
  }

  echo '<div class="mist">
  <form action="" method="post">
  Сменить статус:<br><input name="text" value="'.$us['status2'].'"/>
  <input type="submit" value="Сохранить" name="submit"/>
  </form></div>';
break;
  ///медальки
  case 'medals':
  
 $_title = 'Медали';
            include '../../system/header.php';

  echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Медали</b></div></div>';
/////////////////////////////////////////////////		 

//////////////////////////////////////////////////////

  if($user['status'] >= 4 && $id != $user['id']){
  if(isset($_POST['medalka'])){
  if($us['status'] > $user['status']) $err[] = 'У пользователя статус выше.';
  $why = TextGuard($_POST['why']);
  $type = TextGuard($_POST['type']);
  if(empty($why)) $err[] = 'Текст награды пуст.';
  if(!$err){
  mysql_query("INSERT INTO `medals`(`who`,`type`,`why`,`time`,`ho`)VALUES('".$id."','".$type."','".$why."','".time()."','".$user['id']."')");
  mysql_query("INSERT INTO `op`(`who`,`ho`,`text`,`time`,`read`,`sort`)VALUES('".$id."','".$user['id']."','наградил  [url=/us".$id."?m=medals]вас[/url]!','".time()."','0','3')");
  mysql_query("UPDATE `user` SET `rating`='".($us['rating']+0.10)."' WHERE `id` = '".$id."' limit 1");
  echo '<div class="msg"><b>Пользователь  '.ustatus($id).' <a href="/us'.$id.'">'.uname($id).'</a> '.uaccess($id).' успешно награжден.</b></div>'; 
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  } 
  }
  echo '<div class="post1">
  <form action="/us'.$id.'?m=medals" method="post">
  Номер медали:<br><textarea name="type" style="width:2%;" rows="1"></textarea><br>
  Текст награды:<br><textarea name="why" style="width:98%;" rows="3"></textarea><br>
  <input type="submit" value="Добавить" name="medalka"/>
  </form></div>';
  }
  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `medals` where `who` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p'])){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
  if(isset($_GET['dn']) && $user['status'] >= 4){
  $med = TextGuard($_GET['med']);
  $medd = mysql_fetch_array(mysql_query('select * from `medals` where `id` = "'.$med.'"'));
  if($medd == 0 or empty($id) or !is_numeric($id)){
  header('Location: /us'.$id.'?m=medals'); exit;
  }
  mysql_query("DELETE FROM `medals` WHERE `id`='".$med."'");
  header('Location: /us'.$id.'?m=medals'); exit;
  } 
  $med = mysql_query("SELECT * FROM `medals` where `who` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($med2 = mysql_fetch_assoc($med)){
  echo '<div class="post2"><b><img src="/modules/profile/medals/'.$med2['type'].'.png" alt="*"/> Вручил: </b>'.ustatus($med2['ho']).' <a href="/us'.$med2['ho'].'">'.uname($med2['ho']).'</a> '.uaccess($med2['ho']).' ('.times($med2['time']).')';
  if($user['status'] >= 1) echo ' [<a href="/us'.$id.'?m=medals&amp;dn&amp;med='.$med2['id'].'">уд</a>]';
  echo '<br><b>За что:</b> '.smiles(bbcode($med2['why'])).'</div>';
  }
  echo '</div><div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=medals&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=medals&amp;p='.($p-1).'"><</a> ';
  if($p-3>0) echo '<a href="/us'.$id.'?m=medals&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=medals&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=medals&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=medals&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=medals&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=medals&amp;p='.($p+3).'">'.($p+3).'</a>';
  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=medals&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=medals&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
  break;
  ///end
  default:
  
  
 $_title = 'Профиль';
            include '../../system/header.php';

 
  echo '<div class="tegi">Профиль '.ustatus($us['id']).' '.uname($us['id']).' '.uaccess($us['id']).'</a></div>';

      
/////////////////////////////////////////////////		 

//////////////////////////////////////////////////////
  
 
  
  $ban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ced` WHERE `login` = '".$us['id']."'  LIMIT 1"));
  if($ban != 0){
  echo '<div class="post2"><font color="red"><b>Внимание!</br>Данный пользователь - мошенник!</br><a href="/ced/">Подробнее >></a></b></font></div>';
  }
  
  $reg = mysql_fetch_assoc(mysql_query("SELECT * FROM `reg` WHERE `who` = '".$us['id']."' LIMIT 1"));
  if($reg != 0){
  if($reg['ok'] == 1) echo '<div class="post1">Регистрацию подтвердил '.ustatus($reg['ho']).' <a href="/us'.$reg['ho'].'">'.uname($reg['ho']).'</a> '.uaccess($reg['ho']).'</div>';
  elseif($reg['ok'] == 2) echo '<div class="post1">Регистрацию отклонил '.ustatus($reg['ho']).' <a href="/us'.$reg['ho'].'">'.uname($reg['ho']).'</a> '.uaccess($reg['ho']).'</div>';
 
}
 
    
  
  $ban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban` WHERE `who` = '".$id."' and `end` > '".time()."' LIMIT 1"));
  if($ban != 0){
  echo '<div class="post2">
  <font color="red"><b>Пользователь в бане!</b></font><br>
  <b>Кто забанил:</b>  '.ustatus($ban['ho']).' <a href="/us'.$ban['ho'].'">'.uname($ban['ho']).'</a> '.uaccess($ban['ho']).'<br>
  <b>Причина:</b> '.smiles(bbcode($ban['why'])).'<br>
  <b>Дата бана:</b> '.times($ban['time']).'<br>
  <b>Дата освобождения:</b> '.date('d.m.Y в H:i', $ban['end']);

  if($user['status'] >= 1)echo ' [<a href="/admin?m=bans&section=unban">освободить</a>]';

  echo '</div>';
  }
  ////////
    $banf = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_forum` WHERE `who` = '".$id."' and `end` > '".time()."' LIMIT 1"));
  if($banf != 0){
  echo '<div class="post2">
  <font color="red"><b>Пользователь в бане по форуму!</b></font><br>
  <b>Кто забанил:</b>  '.ustatus($banf['ho']).' <a href="/us'.$banf['ho'].'">'.uname($banf['ho']).'</a> '.uaccess($banf['ho']).'<br>
  <b>Причина:</b> '.smiles(bbcode($banf['why'])).'<br>
  <b>Дата бана:</b> '.times($banf['time']).'<br>
  <b>Дата освобождения:</b> '.date('d.m.Y в H:i', $banf['end']);

  if($user['status'] >= 1)echo ' [<a href="/admin?m=banforum&section=unban">освободить</a>]';

  echo '</div>';
  }
  ////////
    
 echo '<div class="post2"><table cellpadding="0" cellspacing="4"><tr><td style="width: 10px; vertical-align: top; height: 10px; margin: 0; padding:0; border: 0;" id="mail_avatar"><img src="/modules/profile/';
  if(empty($us['ava'])) echo 'images/noava.png'; else echo 'ava/'.$us['ava'];
  echo '"style="max-width:120px;"/>';
echo '</td><td style="vertical-align: top;" id="mail_textarea">'.ustatus($us['id']).' '.uname($us['id']).' '.uaccess($us['id']);
echo '<br/>ID: <font color="green">'.$us['id'].'</font>';
echo '<br/>Рейтинг: <font color="green">'.$us['rating'].'</font><br/>';

if(empty($us['name'])){
echo 'Имя: <font color="gray">Не заполнено</font><br/>';
} else {
echo 'Имя: <font color="gray">'.$us['name'].'</font><br/>';
}
echo 'Пол: <font color="gray">';
  if($us['sex'] == 1) echo 'Мужской'; elseif($us['sex'] == 2) echo 'Женский';
 
if(empty($us['day'])){
echo '</font><br/>Дата рождения: <font color="gray">Не заполнено</font><br/>';
} else {
  echo '</font><br/>Дата рождения: <font color="gray">'.$us['day'].'.'.$us['m'].'.'.$us['birthday'].'</font><br/>';
}
if(empty($us['country'])){
echo 'Страна: <font color="gray">Не заполнено</font><br/>';
} else {
echo 'Страна: <font color="gray">'.$us['country'].'</font><br/>';
}
if(empty($us['city'])){
echo 'Город: <font color="gray">Не заполнено</font><br/>';
} else {
echo 'Город: <font color="gray">'.$us['city'].'</font><br/>';
}
echo '</td></tr></table>';

 
  echo '</div>';
  if(isset($_GET['ava_del']) && $user['status'] >= 1){
echo '<div class="post1">Удалить аватар пользователя<br/><a href="/us'.$id.'?ava_del_ok">Да, удалить</a></div>';
  }

if(isset($_GET['ava_del_ok']) && $us['status'] >= 2){
  unlink('ava/'.$us['ava'].'');
  mysql_query("UPDATE `user` SET `ava`='' WHERE `id`='".$us['id']."' limit 1");
mysql_query("INSERT INTO `adm_log`(
			`who`,
			`ho`,
			`text`,
      `time`
			)VALUES(
      '".$id."',
      '".$user['id']."',
      'Удалил аватар пользователю',
      '".time()."'
			)");
  header('Location: /us'.$id.''); exit;
  }
 
  if(!empty($us['ava']) && $user['status'] >= 1) echo '<div class="post1">[<a href="/us'.$id.'?ava_del">Удалить аватар</a>]';
  echo '</div>';

  if($id != $user['id']){
  

  echo '<a href="/privat?m=dialog&amp;id='.$id.'"><div class="post2"><img src="/modules/profile/images/004.png"/> Написать сообщение</div></a>';

  $ignor = mysql_fetch_array(mysql_query('select * from `privat_contact` where `who` = "'.$user['id'].'" and `ho` = "'.$id.'" limit 1'));
  
  if($ignor['ignor'] == 0) echo '<a href="/privat?m=dialog&amp;id='.$id.'&amp;ignor"><div class="post2"><img src="/modules/profile/images/stop_2.png"/> Добавить в игнор</div></a>'; elseif($ignor['ignor'] == 1) echo '<a href="/privat?m=dialog&amp;id='.$id.'&amp;ignor"><div class="post2"><img src="/modules/profile/images/yes.png"/> Убрать из игнора</div></a>';

  
  } 
  echo '<div class="post2">
  <font color="gray">» Зарегестрирован:</font> '.times($us['registration']).'<br>';
  if($us['id'] == 2){ echo '<font color="gray">» Последний визит:</font> 19 Января 2015 в 15:13 <br>';
  } else {
echo '<font color="gray">» Последний визит:</font> '.times($us['online']).'<br>';
}
  
  if($us['allonline'] != 0) echo '<font color="gray">» Время онлайн:</font> '.times2($us['allonline']).'<br>';
  
  echo '<font color="gray">» Уровень:</font> <font color="red"><b>';
     
 if($us['id'] == 2){ echo 'Система</b></font>';
} else {
  if($us['status'] == 0) echo 'Мастер';
  elseif($us['status'] == 1) echo 'Модератор';
  elseif($us['status'] == 2) echo 'Администратор';
  elseif($us['status'] == 3) echo 'Ст. Администратор';
  elseif($us['status'] == 4) echo 'Создатель';
  
  echo '</b></font>';
  if($us['jur'] == 1){
  echo ' | <font color="green"><b>Журналист газеты</b></font>';
  }else{
}
 echo '</b></font>';
  if($us['cedof'] == 1){
  echo ' | <font color="blue"><b>Арбитр</b></font>';
  }else{
}
}
  echo '</div>';
 
  echo '<div class="post1">
  » Статус: ';
  if($id == $user['id']){ echo '<a href="/us'.$id.'?m=status" style="color:green;">';}

  if(empty($us['status2'])){
  
 echo 'Не заполнен';

  }else{
  
  echo ''.grad_status($us['id']).'';
  
  }

  if($id == $user['id']){ echo '</a>';}
  
  echo '</font>';
  
  if($user['status'] == 4 && !empty($us['status2'])){
  
  if(isset($_GET['s2d'])){
  mysql_query("UPDATE `user` SET `status2`='' WHERE `id` = '".$id."' limit 1");
  header('Location: /us'.$id.''); exit;
  }
  
  echo ' [<a href="/us'.$id.'?s2d">уд</a>]';

  }

  $medals = mysql_result(mysql_query('select count(`id`) from `medals` where `who` = "'.$id.'" limit 3'),0);
  echo '<br>» Награды: <a href="/us'.$id.'?m=medals">'.$medals.'</a>';

  if($medals != 0){
  
  echo ' : ';
  
  $u_medals = mysql_query("SELECT * FROM `medals` where `who` = '".$us['id']."'");
  while($u_medals2 = mysql_fetch_assoc($u_medals)){
  echo '<img src="/modules/profile/medals/'.$u_medals2['type'].'.png" alt="*"/> ';
  }
  
  }
echo '</div><div class="tegi">Реквизиты</div>';
  if(!$us['wmid'] == 0){
  echo '<div class="post2"> WMID: <a href="http://passport.webmoney.ru/asp/certview.asp?wmid='.$us['wmid'].'">'.$us['wmid'].'</a><br/><font color="green">Подтверждён</font>
  </br>BL: <img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid='.$us['wmid'].'&w=35&h=18&bg=0XDBE2E9">
  </br>Кошелёк: R'.$us['wmr'].'</div>';
  } else {
echo '<div class="post2">Реквизиты не заполнены</div>';
  }
  echo '<div class="tegi"><font color="white">Личные данные</font></div>';
  
  $nicks = mysql_result(mysql_query('select count(`id`) from `nicks` where `who` = "'.$id.'"'),0);

  echo '<div class="post1"><img src="/modules/profile/images/order-1.png"/> <a href="?m=nicks">История ников</a> ('.$nicks.')</div>';
 
  echo '
  <div class="post2">О себе:<font color="gray">'.smiles(bbcode($us['about'])).'</font></div>
  <div class="post1">ICQ: <font color="gray">'.$us['icq'].'</font></div>
  ';

  if($user['status'] >2){

  
  echo '<div class="post2">IP: '.$us['ip'].'</div>';
  
  $ban = mysql_query("SELECT * FROM `ban` where `who` != '".$us['id']."'");
  while($ban2 = mysql_fetch_assoc($ban)){
  $ban_info = mysql_fetch_array(mysql_query('select * from `user` where `id` = "'.$ban2['who'].'"'));
  
  if($ban_info['ip'] == $us['ip']) echo '<div class="post1">Внимание! Данные IP адреса этого пользователя совпадают с данными <font color="red"><b>забаненного</b></font> пользователя '.ustatus($ban_info['id']).' <a href="/us'.$ban_info['id'].'">'.uname($ban_info['id']).'</a> '.uaccess($ban_info['id']).'</div>';
  }

  $mult = mysql_query("SELECT * FROM `user` where `id` != '".$us['id']."'");
  while($mult2 = mysql_fetch_assoc($mult)){
  $ban_info = mysql_fetch_array(mysql_query('select * from `user` where `id` = "'.$mult2['id'].'"'));
  if($ban_info == 0) if($mult2['ip'] == $us['ip']) echo '<div class="post2">Внимание! Данные IP адреса этого пользователя совпадают с данными пользователя '.ustatus($mult2['id']).' <a href="/us'.$mult2['id'].'">'.uname($mult2['id']).'</a> '.uaccess($mult2['id']).'</div>';
  }
  echo '<div class="post1">UA: '.$us['ua'].'</div>
  <div class="post2">Сейчас в: '.$us['self'].'</div>';
  }
  
  
  
  
  
  

  echo '<div class="post1"><img src="/modules/profile/images/archives.png"/> <a href="?m=files">Файлы</a> ('.mysql_result(mysql_query('select count(`id`) from `zc_f` where `author` = "'.$id.'" and `status` = "0"'),0).')</div>';

echo '<div class="post1"><img src="/modules/profile/images/archives.png"/> <a href="/porte/inf'.$id.'">Портфолио</a> ('.mysql_result(mysql_query('select count(`id`) from `porte_rab` where `who` = "'.$id.'"'),0).')</div>';

  
 
  echo '<div class="tegi"><font color="white">Информация и активность</font></div><div class="submenu">
  <div class="post1"> <img src="/modules/profile/images/theme.png"/> Тем в <a href="/us'.$id.'?m=f_t">форуме</a>: <font color="gray">'.mysql_result(mysql_query('select count(`id`) from `forum_t` where `author` = "'.$us['id'].'"'),0).'</font></div>
  <div class="post2"><img src="/modules/profile/images/txt4.png"/> Постов в <a href="/us'.$id.'?m=f_m">форуме</a>: <font color="gray">'.mysql_result(mysql_query('select count(`id`) from `forum_m` where `author` = "'.$us['id'].'"'),0).'</font></div>
  <div class="post1"> <img src="/modules/profile/images/sps.png"/> Сказали спасибо в <a href="/us'.$id.'?m=sps">форуме</a>: <font color="gray">'.mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t_thnx` WHERE `ho` = '".$us['id']."'"),0).'</font></div>
<div class="post2"><img src="/modules/profile/images/comments.png"/> Комментариев: <font color="gray">'.mysql_result(mysql_query('select count(`id`) from `zc_fcom` where `who` = "'.$us['id'].'"'),0).'</font></div>';

  echo '</div><div class="tegi"><font color="white">Репутация на сайте</font></div>
  
  <div class="post1"><img src="modules/profile/images/clean.png"/> <a href="/us'.$id.'?m=senks">Поблагодарили</a> ['.mysql_result(mysql_query('select count(`id`) from `senk` where `ho` = "'.$us['id'].'"'),0).']</div>';
 
 echo '<div class="post2"><img src="/images/plus.png"/> <a href="/us'.$id.'?m=arbitr">Арбитраж</a> [<b><font color="green">'.mysql_result(mysql_query("SELECT COUNT(*) FROM `arbitr` WHERE `ho` = '".$us['id']."' and `ver` = '1'"),0).'</font></b>/<b><font color="red">'.mysql_result(mysql_query("SELECT COUNT(*) FROM `arbitr` WHERE `ho` = '".$us['id']."' and `ver` = '2'"),0).'</font></b>]</div>
 
  <div class="post2"><img src="modules/profile/images/infr.png"> <a href="/us'.$id.'?m=nar">Нарушения</a> ['.mysql_result(mysql_query('select count(`id`) from `nar` where `who` = "'.$us['id'].'"'),0).']</div>';
if($us['status'] >= 1) echo '<div class="post2"><img src="/img/money.png" wight="18" height="18"> <a href="/us'.$id.'?m=logi">Логи действий</a> ['.mysql_result(mysql_query('select count(`id`) from `adm_log` where `ho` = "'.$us['id'].'"'),0).']</div>';
 
  break;

 
  case 'nar':
 
 $_title = 'Нарушения';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Нарушения</b></div></div>';
  
/////////////////////////////////////////////////
//////////////////////////////////////////////////////
  include '../../system/nvg.php';
  if($user['status'] >= 1 && $id != $user['id']){

  if(isset($_POST['submit'])){

  if($us['status'] > $user['status']) $err[] = 'У пользователя статус выше...';

  $why = TextGuard($_POST['why']);
  if(empty($why)) $err[] = 'Причина осталась пустой...';
  
  if(!$err){
  
  		mysql_query("INSERT INTO `nar`(
			`who`,
			`why`,
      `ho`,
      `time`
			)VALUES(
			'".$id."',
			'".$why."',
			'".$user['id']."',
			'".time()."'
			)");

  		mysql_query("INSERT INTO `op`(
			`who`,
			`ho`,
			`text`,
      `time`,
      `read`,`sort`
			)VALUES(
      '".$id."',
      '".$user['id']."',
      'записал вам [url=/us".$id."?m=nar]нарушение[/url]!',
      '".time()."',
      '0','3'
			)");
	mysql_query("INSERT INTO `adm_log`(
			`who`,
			`ho`,
			`text`,
      `time`
			)VALUES(
      '".$id."',
      '".$user['id']."',
      'Выписал нарушение пользователю',
      '".time()."'
			)");

  mysql_query("UPDATE `user` SET `rating`='".($us['rating']-0.02)."' WHERE `id` = '".$id."' limit 1");

  echo '<div class="msg"><b>'.ustatus($id).' <a href="/us'.$id.'">'.uname($id).'</a> '.uaccess($id).' успешно запиcано нарушение!</b></div>';
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  }
  
  }

  echo '<div class="glav">
  <form action="/us'.$id.'?m=nar" method="post">
  Причина:<br><textarea name="why" style="width:98%;" rows="3"></textarea><br>
  <input type="submit" value="Добавить" name="submit"/>
  </form></div>';

  }
  
  
  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `nar` where `who` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p'])){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
    if($ca == 0){ echo '<div class="poste" >Нарушений нету</div>'; }else{
  if(isset($_GET['dn']) && $user['status'] >= 1){
  $nar = TextGuard($_GET['nar']);
  $nars = mysql_fetch_array(mysql_query('select * from `nar` where `id` = "'.$nar.'"'));
  if($nars == 0 or empty($id) or !is_numeric($id)){
  header('Location: /us'.$id.'?m=nar'); exit;
  }
  mysql_query("DELETE FROM `nar` WHERE `id`='".$nar."'");
  header('Location: /us'.$id.'?m=nar'); exit;
  }
  
  $nar = mysql_query("SELECT * FROM `nar` where `who` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($nar2 = mysql_fetch_assoc($nar)){
  echo '<div class="post2">'.ustatus($nar2['ho']).' <a href="/us'.$nar2['ho'].'">'.uname($nar2['ho']).'</a> '.uaccess($nar2['ho']).' ('.times($nar2['time']).')';
  if($user['status'] >= 1) echo ' [<a href="/us'.$id.'?m=nar&amp;dn&amp;nar='.$nar2['id'].'">уд</a>]';
  echo '<br>Нарушение: '.smiles(bbcode($nar2['why'])).'</div>';
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=nar&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=nar&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=nar&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=nar&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=nar&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=nar&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=nar&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=nar&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=nar&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=nar&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
  }
  break;
case 'logi':
 
 $_title = 'Логи действий';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Логи действий</b></div></div>';
  
  
 if($us['status'] >= 1){
  $cop = 10;
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `adm_log` where `ho` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p'])){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
    if($ca == 0){ echo '<div class="poste" >Логов нету</div>'; }else{
  
  $log = mysql_query("SELECT * FROM `adm_log` where `ho` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($log2 = mysql_fetch_assoc($log)){
  echo '<div class="post2">';
  
  echo ''.smiles(bbcode($log2['text'])).'<br/>('.times($log2['time']).') </div>';
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=logi&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=logi&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=logi&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=logi&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=logi&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=logi&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=logi&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=logi&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=logi&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=logi&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
  }
} else {
echo '<div class="post2">Данный пользователь не является администратором проекта</div>';
}
  break;
  case 'f_t':

 $_title = 'Темы на форуме';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Темы на форуме</b></div></div>';
 

  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` where `author` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
    if($ca == 0){ echo '<div class="poste" >Автор ещё не создавал тем</div>'; }else{

  $forum_t = mysql_query("SELECT * FROM `forum_t` where `author` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($forum_t2 = mysql_fetch_assoc($forum_t)){
  $forum_r = mysql_fetch_array(mysql_query('select * from `forum_r` where `id` = '.$forum_t2['r'].''));
  $forum_pr = mysql_fetch_array(mysql_query('select * from `forum_pr` where `id` = '.$forum_t2['pr'].''));

  echo '<div class="post1"><a href="/forum/r'.$forum_r['id'].'" >'.$forum_r['name'].'</a> | <a href="/forum/pr'.$forum_pr['id'].'" >'.$forum_pr['name'].'</a></div><div class="post2">';
  
    if($forum_t2['status'] == 0) echo '<img src="/modules/forum/images/the.png"/>'; elseif($forum_t2['status'] == 1) echo '<img src="/modules/forum/images/closed.png"/>';
  
  echo ' <a href="/forum/t'.$forum_t2['id'].'">'.$forum_t2['name'].'</a> ('.mysql_result(mysql_query('select count(`id`) from `forum_m` where `t` = "'.$forum_t2['id'].'"'),0).') <a href="/forum/t'.$forum_t2['id'].'/p'.ceil(((mysql_result(mysql_query('select count(`id`) from `forum_m` where `t` = "'.$forum_t2['id'].'"'),0))+1)/10).'">></a><br>
'.ustatus($forum_t2['author']).' <a href="/us'.$forum_t2['author'].'">'.uname($forum_t2['author']).'</a>/'.ustatus($forum_t2['last']).' <a href="/us'.$forum_t2['last'].'">'.uname($forum_t2['last']).'</a> ('.times($forum_t2['ltime']).')';
  echo '</div>';
  
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=f_t&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=f_t&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=f_t&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=f_t&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=f_t&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=f_t&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=f_t&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=f_t&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=f_t&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=f_t&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
}
 break;
  case 'sps':
 
 $_title = 'Сказали спасибо';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Сказали спасибо</b></div></div>';


  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t_thnx` where `ho` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
      if($ca == 0){ echo '<div class="poste" >Пусто</div>'; }else{
  $forum_t = mysql_query("SELECT * FROM `forum_t_thnx` where `ho` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($forum_t2 = mysql_fetch_assoc($forum_t)){
  $forum_m2_t = mysql_fetch_array(mysql_query('select * from `forum_t` where `id` = "'.$forum_t2['t'].'"'));
  echo '<div class="post2"><b>Тема:</b> 
  <a href="/forum/t'.$forum_m2_t['id'].'">'.$forum_m2_t['name'].'</a> ('.mysql_result(mysql_query('select count(`id`) from `forum_m` where `t` = "'.$forum_m2_t['id'].'"'),0).') <a href="/forum/t'.$forum_m2_t['id'].'/p'.ceil(((mysql_result(mysql_query('select count(`id`) from `forum_m` where `t` = "'.$forum_m2_t['id'].'"'),0))+1)/10).'">></a><br>
  <b>Сказал спасибо:</b> '.ustatus($forum_t2['user']).' <a href="/us'.$forum_t2['user'].'">'.uname($forum_t2['user']).'</a>  ('.times($forum_t2['time']).')
  </div>';
  
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=sps&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=sps&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=sps&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=sps&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=sps&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=sps&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=sps&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=sps&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=sps&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=sps&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
}
  break;

  case 'f_m':

 $_title = 'Посты на форуме';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Посты на форуме</b></div></div>';


  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_m` where `author` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;

      if($ca == 0){ echo '<div class="poste" >Автор ещё не оставлял постов</div>'; }else{

  $forum_m = mysql_query("SELECT * FROM `forum_m` where `author` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($forum_m2 = mysql_fetch_assoc($forum_m)){
  $forum_m2_r = mysql_fetch_array(mysql_query('select * from `forum_r` where `id` = "'.$forum_m2['r'].'"'));
  $forum_m2_pr = mysql_fetch_array(mysql_query('select * from `forum_pr` where `id` = "'.$forum_m2['pr'].'"'));
  $forum_m2_t = mysql_fetch_array(mysql_query('select * from `forum_t` where `id` = "'.$forum_m2['t'].'"'));

  echo '<div class="post1"><a href="/forum/r'.$forum_m2_r['id'].'" >'.$forum_m2_r['name'].'</a> | <a href="/forum/pr'.$forum_m2_pr['id'].'" >'.$forum_m2_pr['name'].'</a> | <a href="/forum/t'.$forum_m2_t['id'].'" >'.$forum_m2_t['name'].'</a></div><div class="post2">'.ustatus($forum_m2['author']).' <a href="/us'.$forum_m2['author'].'"><b>'.uname($forum_m2['author']).'</b></a> '.uaccess($forum_m2['author']).' ('.times($forum_m2['time']).')<br>';

  if(!empty($forum_m2['cit'])){
  $cit = mysql_fetch_array(mysql_query('select * from `forum_m` where `id` = "'.$forum_m2['cit'].'"'));
  $cit_author = mysql_fetch_array(mysql_query('select * from `user` where `id` = "'.$cit['author'].'"'));

  echo 'Цитата:<br><div class="cit"><b>'.$cit_author['login'].'</b>: '.smiles(bbcode($cit['text'])).'</div>';
  }
   
  echo ''.smiles(bbcode($forum_m2['text'])).'
  </div>';  
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=f_m&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=f_m&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=f_m&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=f_m&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=f_m&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=f_m&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=f_m&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=f_m&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=f_m&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=f_m&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
}
  break;
  case 'senks':

 $_title = 'Благодарности';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Благодарности</b></div></div>';

 if(isset($_GET['dn']) && $user['status'] >= 1){
  $senks = TextGuard($_GET['senks']);
  $senk = mysql_fetch_array(mysql_query('select * from `senk` where `id` = "'.$senks.'"'));
  if($senk == 0 or empty($id) or !is_numeric($id)){
  header('Location: /us'.$id.'?m=senks'); exit;
  }
  mysql_query("DELETE FROM `senk` WHERE `id`='".$senks."'");
  header('Location: /us'.$id.'?m=senks'); exit;
  }
 
  if($id != $user['id']){

  if(isset($_POST['submit'])){

  $text = TextGuard($_POST['text']);
  if(empty($text)) $err[] = 'Причина осталась пустой...';

  $senks = mysql_query("SELECT * FROM `senk` where `who` = '".$user['id']."' and `ho` = '".$id."' ORDER BY `id` DESC limit 1");
  while($senks2 = mysql_fetch_assoc($senks)){
  if((time()-$senks2['time']) < ((60*60)*24)) $err[] = 'Благодарить можно только 1 раз в сутки!';
  }

  if(!$err){
  
  		mysql_query("INSERT INTO `senk`(
			`who`,
			`ho`,
      `text`,
      `time`
			)VALUES(
			'".$user['id']."',
			'".$id."',
			'".$text."',
			'".time()."'
			)");

  		mysql_query("INSERT INTO `op`(
			`who`,
			`ho`,
			`text`,
      `time`,
      `read`,
      `sort`
			)VALUES(
      '".$id."',
      '".$user['id']."',
      '[url=/us".$id."?m=senks]поблагодарил[/url] вас!',
      '".time()."',
      '0','3'
			)");

  header('Location: /us'.$id.'?m=senks'); exit;
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  }
  
  }

  echo '<div class="glav">
  <form action="" method="post">
  За что:<br><textarea name="text" style="width:98%;" rows="3"></textarea><br>
  <input type="submit" value="Поблагодарить" name="submit"/>
  </form></div>';

  }


  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `senk` where `ho` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;


    if($ca == 0){ echo '<div class="poste" >Автора ещё не благодарили</div>'; }else{


  $senk = mysql_query("SELECT * FROM `senk` where `ho` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($senk2 = mysql_fetch_assoc($senk)){
  echo '<div class="post2">'.ustatus($senk2['who']).' <a href="/us'.$senk2['who'].'">'.uname($senk2['who']).'</a> '.uaccess($senk2['who']).' ('.times($senk2['time']).')';
  if($user['status'] >= 1) echo ' [<a href="/us'.$id.'?m=senks&dn&senks='.$senk2['id'].'">уд</a>]<br/>';
 echo ' За что: '.smiles(bbcode($senk2['text'])).'</div>';
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=senks&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=senks&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=senks&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=senks&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=senks&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=senks&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=senks&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=senks&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=senks&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=senks&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
}
  break;
  ///////////////////////////////////////////////////////////////////////////////////////////////////////////
  case 'arbitr':

 $_title = 'Арбитраж';
            include '../../system/header.php';
    echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Арбитраж</b></div></div>';
 

 if(isset($_GET['dn']) && $user['status'] >= 1){
  $arbitr = TextGuard($_GET['arbitr']);
  $arbit = mysql_fetch_array(mysql_query('select * from `arbitr` where `id` = "'.$arbitr.'"'));
  if($arbit == 0 or empty($id) or !is_numeric($id)){
  header('Location: /us'.$id.'?m=arbitr'); exit;
  }
  mysql_query("DELETE FROM `arbitr` WHERE `id`='".$arbitr."'");
  header('Location: /us'.$id.'?m=arbitr'); exit;
  }
 
  if($id != $user['id']){

  if(isset($_POST['submit'])){

  $text = TextGuard($_POST['text']);
  $ver = TextGuard($_POST['ver']);
  if(empty($text)) $err[] = 'Поле отзыва/притензии не заролнено..';
  $arno = mysql_query("SELECT * FROM `arbitr` where `who` = '".$user['id']."' and `ho` = '".$id."' ORDER BY `id` DESC limit 1");
while($arno2 = mysql_fetch_assoc($arno)){
if((time()-$arno2['time']) < ((60*60)*24)) $err[] = 'Оставлять Отзыв/Притензию можно только 1 раз в сутки!';
}

  if(!$err){
  		mysql_query("INSERT INTO `arbitr`(
			`who`,
			`ho`,
			`mode`,
			`ver`,
      `text`,
      `time`
			)VALUES(
			'".$user['id']."',
			'".$id."',
			'0',
			'".$ver."',
			'".$text."',
			'".time()."'
			)");

  		mysql_query("INSERT INTO `op`(
			`who`,
			`ho`,
			`text`,
      `time`,
      `read`,
      `sort`.$id.a href=]).id
			)VALUES(
      '".$id."',
      '".$user['id']."',
      '[url=/us".$id."?m=arbitr]Зделал запрос[/url] к Вам в арбитраж !',
      '".time()."',
      '0','3'
			)");
			    $ar = mysql_query("SELECT * FROM `user` WHERE `status` > '1'");
  while($ar2 = mysql_fetch_assoc($ar)){
 
     	 mysql_query("INSERT INTO `op`(
			`who`,
			`ho`,
			`text`,
      `time`,
      `read`
			)VALUES(
      '".$ar2['id']."',
      '".$user['id']."',
      'Подал  [url=/admin?m=arbit]притензию[/url]',
      '".time()."',
      '0'
			)");

  } 

  header('Location: /us'.$id.'?m=arbitr'); exit;
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  }
  
  }

  echo '<div class="glav">
  <form action="" method="post">
    *Выбрать:<select name="ver">
  <option value="1">Отзыв</option>
  <option value="2">Прeтензия</option>
  </select><br>  За что:<br><textarea name="text" style="width:98%;" rows="3"></textarea><br>';
  echo '<input type="submit" value="Оставить" name="submit"/>
  </form></div>';
  }


  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `arbitr` where `ho` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
   if($ca == 0){ echo '<div class="poste" >Пусто</div>'; }else{

  $arbv = mysql_query("SELECT * FROM `arbitr` where `ho` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($arbv2 = mysql_fetch_assoc($arbv)){
  echo '<div class="post2">'.ustatus($arbv2['who']).' <a href="/us'.$arbv2['who'].'">'.uname($arbv2['who']).'</a> '.uaccess($arbv2['who']).' ('.times($arbv2['time']).') ';
   if($arbv2['ver'] == 1){
  echo '<font color="green"><b>[Отзыв]</b></font></br>';
  }else{
  echo '<font color="red"><b>[Прeтензия]</b></font>';
  }
  if($user['status'] >= 1) echo ' [<a href="/us'.$id.'?m=arbitr&dn&arbitr='.$arbv2['id'].'">уд</a>]';
echo '<br/>';
  echo '<b>Причина:</b> '.smiles(bbcode($arbv2['text'])).'';
      if($arbv2['mode'] == 0){
  echo '</br><font color="red"><b>[На проверке в арбитраже]</b></font>';
  }else{
  echo '</br><font color="green"><b>[Подтверждено]</b></font>';
  }
  ////////////////
  echo '</div>';
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=arbitr&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=arbitr&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=arbitr&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=arbitr&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=arbitr&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=arbitr&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=arbitr&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=arbitr&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=arbitr&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=arbitr&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
}
  break;
  /////////////////////////////////////////////
  case 'nicks':
$_title = 'История ников';
            include '../../system/header.php';
   echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | История ников</b></div></div>';

  if($user['status'] >= 1){
  
  if(isset($_POST['submit'])){

  $nick = TextGuard($_POST['nick']);
  if(empty($nick)) $err[] = 'Новый ник остался пустой...';
  $dinfo = mysql_fetch_array(mysql_query("SELECT `login` FROM `user` WHERE `login` = '".$nick."' LIMIT 1"));
  if(!empty($nick))if($dinfo!=0) $err[] = 'Логин занят';
  $nicks = mysql_query("SELECT * FROM `nicks` where `who` = '".$id."' ORDER BY `id` DESC LIMIT 1");
  while($nicks2 = mysql_fetch_assoc($nicks)){
  
  $old = $nicks2['new'];
  
  }
  
  if(empty($old)) $old = $us['login'];

  if(!$err){
  
  		mysql_query("INSERT INTO `nicks`(
			`who`,
			`ho`,
      `old`,
      `new`,
      `time`
			)VALUES(
			'".$id."',
			'".$user['id']."',
			'".$old."',
			'".$nick."',
			'".time()."'
			)");
			mysql_query("UPDATE `user` SET `login`='".$nick."' WHERE `id` = '".$id."' limit 1");
			mysql_query("INSERT INTO `op`(`who`,`ho`,`text`,`time`,`read`,`sort`)VALUES('".$id."','".$user['id']."','сменил вам  [url=/us".$id."?m=nicks]ник[/url]!','".time()."','0','3')");

  header('Location: /us'.$id.'?m=nicks'); exit;
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  }
  
  }

  echo '<div class="glav">
  <form action="" method="post">
  Сменить ник:<br><input name="nick" value=""/>
  <input type="submit" value="Сохранить" name="submit"/>
  </form></div>';

  }
  
  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `nicks` where `who` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
   if($ca == 0){ echo '<div class="poste" >Пусто</div>'; }else{
  $nicks = mysql_query("SELECT * FROM `nicks` where `who` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  while($nicks2 = mysql_fetch_assoc($nicks)){
  echo '<div class="post2">'.$nicks2['old'].' > '.$nicks2['new'];
  
  echo '<br>'.ustatus($nicks2['ho']).' <a href="/us'.$nicks2['ho'].'">'.uname($nicks2['ho']).'</a> '.uaccess($nicks2['ho']).' ('.times($nicks2['time']).') </div>';
  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=nicks&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=nicks&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=nicks&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=nicks&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=nicks&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=nicks&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=nicks&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=nicks&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=nicks&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=nicks&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
}
  break;
$_title = 'Файлы';
            include '../../system/header.php';

  case 'files':
  echo '<div class="tegi"><b>'.ustatus($us['id']).' <a href="/us'.$us['id'].'">'.uname($us['id']).'</a> '.uaccess($us['id']).' | Файлы</b></div></div>';



  $cop = $user['on_page'];
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `zc_f` where `author` = '".$id."' and `status` = '0'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p']) && $ca != 0){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
    if($ca == 0){ echo '<div class="poste" >Автор ещё не добавлял файлы</div>'; }else{

  $zc_f = mysql_query("SELECT * FROM `zc_f` where `author` = '".$id."' and `status` = '0' ORDER BY `id` DESC LIMIT $start,$cop");
  while($zc_f2 = mysql_fetch_assoc($zc_f)){
  $zc_r = mysql_fetch_array(mysql_query('select * from `zc_r` where `id` = "'.$zc_f2['r'].'"'));
  $zc_pr = mysql_fetch_array(mysql_query('select * from `zc_pr` where `id` = "'.$zc_f2['pr'].'"'));
  echo '<div class="post1"><a href="/zc/r'.$zc_r['id'].'">'.$zc_r['name'].'</a> | <a href="/zc/pr'.$zc_pr['id'].'" >'.$zc_pr['name'].'</a></div><div class="post2">
  Файл: <a href="/zc/f'.$zc_f2['id'].'">'.$zc_f2['name'].'</a> ('.round(filesize('../zc/files/'.$zc_f2['file'].'')/1024).' кб)<br>
  Загружен: '.times($zc_f2['time']).'
  </div>';

  }

  echo '<div class="spis">Стр. ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=files&amp;p=1"><<</a> ';
  if($p-1>0) echo '<a href="/us'.$id.'?m=files&amp;p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/us'.$id.'?m=files&amp;p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/us'.$id.'?m=files&amp;p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/us'.$id.'?m=files&amp;p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/us'.$id.'?m=files&amp;p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/us'.$id.'?m=files&amp;p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/us'.$id.'?m=files&amp;p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/us'.$id.'?m=files&amp;p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/us'.$id.'?m=files&amp;p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
  }
  break;

  }

          include '../../system/footer.php';

?>